Bug 1119067

Summary: python-twisted should depend on python-service-identity
Product: [Fedora] Fedora Reporter: Tom Prince <tom.prince>
Component: python-twistedAssignee: Jonathan Steffan <jonathansteffan>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: unspecified    
Version: 21CC: bugzilla, jonathansteffan, jon.dufresne, kscje09, matthias, thomas, tom.prince
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: python-twisted-15.1.0-1.fc22 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-07-23 08:53:49 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1119063    
Bug Blocks:    
Attachments:
Description Flags
Updated specfile. none

Description Tom Prince 2014-07-13 17:06:22 UTC
Created attachment 917638 [details]
Updated specfile.

Twisted uses the service_identity package to verify SSL certificates.

/usr/lib64/python2.7/site-packages/twisted/internet/_sslverify.py:184: exceptions.UserWarning: You do not have the service_identity module installed. Please install it from <https://pypi.python.org/pypi/service_identity>. Without the service_identity module and a recent enough pyOpenSSL tosupport it, Twisted can perform only rudimentary TLS client hostnameverification.  Many valid certificate/hostname mappings may be rejected.

Comment 1 Jonathan Steffan 2014-11-22 21:24:51 UTC
I'm unable to move forward with this change until the review request is completed and the package is available in all target branches.

Comment 2 Mohammed Arafa 2015-01-01 03:54:14 UTC
bug 1177388 requires the service_identity package rpm. pls expedite

Comment 3 Jon Dufresne 2015-05-03 19:19:52 UTC
The review request for python-service-identity looks complete and resolved. Can this change move forward? Twisted presents a scary and only partially-helpful error message (doesn't mention the precise Fedora package).

Comment 4 Fedora Update System 2015-05-10 00:36:43 UTC
python-twisted-15.1.0-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/python-twisted-15.1.0-1.fc22

Comment 5 Fedora Update System 2015-05-10 00:37:57 UTC
python-twisted-15.1.0-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/python-twisted-15.1.0-1.fc21

Comment 6 Fedora Update System 2015-05-12 20:39:25 UTC
Package python-twisted-15.1.0-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-twisted-15.1.0-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-8028/python-twisted-15.1.0-1.fc21
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2015-07-23 08:53:49 UTC
python-twisted-15.1.0-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2015-07-23 09:00:43 UTC
python-twisted-15.1.0-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.